redpitaya_common.h File Reference
`#include <stdint.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/ioctl.h>`
`#include <sys/socket.h>`
`#include <sys/select.h>`
`#include <netinet/in.h>`
`#include <arpa/inet.h>`

Go to the source code of this file.

## Macros

#define | SOCKET int
#define | INVSOC (-1)

## Functions

void | redpitaya_send_command (SOCKET socket, uint32_t command)

## Macro Definition Documentation

## INVSOC

#define INVSOC (-1)

## SOCKET

#define SOCKET int

Referenced by redpitaya_sink_c::get_antenna(), redpitaya_source_c::get_antenna(), and redpitaya_send_command().

## Function Documentation

## redpitaya_send_command()

void redpitaya_send_command | ( | SOCKET | socket,
|  | uint32_t | command )

References SOCKET.